set-user-properties
curl --request POST \
--url https://api.notifly.tech/set-user-properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"userId": "user_abc123"
}
'import requests
url = "https://api.notifly.tech/set-user-properties"
payload = {
"projectId": "example_project_1234567890abcdef",
"userId": "user_abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: 'example_project_1234567890abcdef', userId: 'user_abc123'})
};
fetch('https://api.notifly.tech/set-user-properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/set-user-properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'example_project_1234567890abcdef',
'userId' => 'user_abc123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/set-user-properties"
payload := strings.NewReader("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"userId\": \"user_abc123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/set-user-properties")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"userId\": \"user_abc123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/set-user-properties")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"userId\": \"user_abc123\"\n}"
response = http.request(request)
puts response.read_body{
"data": 3
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "<string>",
"projectId": null,
"durationMs": null
}Events and users
Set user properties
Create or update user properties in Notifly. Use the properties to define audiences and personalize messages.
POST
/
set-user-properties
set-user-properties
curl --request POST \
--url https://api.notifly.tech/set-user-properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"userId": "user_abc123"
}
'import requests
url = "https://api.notifly.tech/set-user-properties"
payload = {
"projectId": "example_project_1234567890abcdef",
"userId": "user_abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: 'example_project_1234567890abcdef', userId: 'user_abc123'})
};
fetch('https://api.notifly.tech/set-user-properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/set-user-properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'example_project_1234567890abcdef',
'userId' => 'user_abc123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/set-user-properties"
payload := strings.NewReader("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"userId\": \"user_abc123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/set-user-properties")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"userId\": \"user_abc123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/set-user-properties")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"userId\": \"user_abc123\"\n}"
response = http.request(request)
puts response.read_body{
"data": 3
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "<string>",
"projectId": null,
"durationMs": null
}Before sending a custom user property that needs protection, such as a name or address, open User Management > User List > Property management in the console. Register the property with the same key you will send and enable encryption.See Manage user properties for setup and limitations.
To update multiple users at once, send an array of user objects with the same structure. Each request accepts up to 1,000 users.
Authorizations
Body
application/json
